Print \n where needed.
authorgraham.gower <graham.gower@e8e0d7a0-c8d9-11dd-a880-a1081c7ac358>
Thu, 17 Dec 2009 06:42:16 +0000 (06:42 +0000)
committergraham.gower <graham.gower@e8e0d7a0-c8d9-11dd-a880-a1081c7ac358>
Thu, 17 Dec 2009 06:42:16 +0000 (06:42 +0000)
git-svn-id: http://opkg.googlecode.com/svn/trunk@494 e8e0d7a0-c8d9-11dd-a880-a1081c7ac358

libopkg/opkg.c
libopkg/opkg_install.c

index 2321092..a8f85a9 100644 (file)
@@ -299,6 +299,7 @@ opkg_install_package(const char *package_name,
                }
                free(unresolved);
                pkg_vec_free(deps);
+               opkg_message(ERROR, "\n");
                return -1;
        }
 
index 94d6188..020b691 100644 (file)
@@ -63,7 +63,7 @@ satisfy_dependencies_for(pkg_t *pkg)
               unresolved++;
          }
          free(tmp);
-         opkg_msg(ERROR, "\n");
+         opkg_message(ERROR, "\n");
          if (! conf->force_depends) {
               opkg_msg(INFO,
                            "This could mean that your package list is out of date or that the packages\n"